fuellstand = {};

local ti_directory = g_currentModDirectory;

function fuellstand.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function fuellstand:load(xmlFile)
	self.combineName = getXMLString(xmlFile, "vehicle.name.de");

	self.hud = Overlay:new("Tankinhalt", Utils.getFilename("script/hud.png", ti_directory), 0.84, 0.24, 0.15, 0.0375);
end;

function fuellstand:keyEvent(unicode, sym, modifier, isDown)
end;

function fuellstand:update(dt)	
end;

function fuellstand:draw()	
	
	setTextAlignment(RenderText.ALIGN_RIGHT);
	self.hud:render();
	setTextBold(true);
	if self.isActive then	
		local prozent = self.grainTankFillLevel/self.grainTankCapacity*100;	
		if prozent > 0 and prozent < 50 then
			setTextColor(1, 1, 0, 1);
			renderText(0.98, 0.25, 0.02,""..string.format("%.0f (%d%%)", self.grainTankFillLevel, prozent).."");
		elseif prozent > 50 and prozent < 80 then
			setTextColor(0, 1, 0, 1);
			renderText(0.98, 0.25, 0.02,""..string.format("%.0f (%d%%)", self.grainTankFillLevel, prozent).."");
		else
			setTextColor(1, 0, 0, 1);
			renderText(0.98, 0.25, 0.02,""..string.format("%.0f (%d%%)", self.grainTankFillLevel, prozent).."");
		end;
		if prozent == 0 then
			setTextColor(1, 1, 1, 1);
			renderText(0.98, 0.25, 0.02,""..string.format("%.0f (%d%%)", 0, 0).."");
		end;
	end;
	setTextBold(false);
	setTextColor(1,1,1,1);
	setTextAlignment(RenderText.ALIGN_LEFT);	
end;

function fuellstand:onEnter()
end;

function fuellstand:onLeave()
end;

function fuellstand:delete()
end;

function fuellstand:mouseEvent(posX, posY, isDown, isUp, button)
end;






